@import '../../../../sass/variables';
@import '../../../../sass/mixins';

#subject-selection {
  #selection {
    .web-dropdown {
      width: 100%;
      z-index: 201;
    }
  }

  #filter-section {
    .web-dropdown {
      z-index: 200;
    }
  }

  #filter-selection, #selections-container {
    z-index: 1000;
  }

  @include untilBreakpoint(desktop) {
    width: 100%;
    height: calc(100% - #{$dashboardDetailsHeightMobile});

    #selections-container {
      position: relative;
      top: 50%;
      transform: translateY(-50%);

      #filter-section {
        width: 100%;
        margin-top: 5px;

        .web-dropdown {
          width: calc(50% - 10px);

          &:nth-of-type(1) {
            margin-right: 20px;
          }
        }
      }
    }
  }

  @include fromBreakpoint(desktop) {
    width: calc(100% - #{$dashboardDetailsWidth});
    float: left;
    height: 100%;

    @include untilBreakpoint(largeDesktop) {
      padding: 0 5%;

      #selections-container {
        width: 100%;
        position: relative;
        top: 50%;
        transform: translateY(-50%);

        #filter-section {
          width: 100%;
          margin-top: 5px;

          .web-dropdown {
            width: calc(50% - 10px);

            &:nth-of-type(1) {
              margin-right: 20px;
            }
          }
        }
      }
    }

    @include fromBreakpoint(largeDesktop) {
      #selections-container {
        height: 100%;
        width: 100%;

        #selection {
          height: 100%;
          width: 40%;
          float: left;

          .web-dropdown {
            position: relative;
            max-width: 350px;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
          }
        }

        #filter-section {
          float: right;
          height: 100%;
          width: 60%;

          #filter-selection {
            position: relative;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);

            .web-dropdown {
              width: 40%;
              max-width: 300px;
              margin: 0 10px;
            }
          }
        }
      }
    }
  }
}
